<?php if(!defined('PURECLIENT_PATH')){die('Direct access not permitted');}

function pure_profiles_version_update() {
	global $pure_profiles_current_db_version, $pure_profiles_db_version, $wpdb;

  	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	
	if (floatval($pure_profiles_current_db_version) < floatval(1.8)) { 
		exit(); // do nothing, earlier versions should be uninstalled 						
	}

	if (floatval($pure_profiles_current_db_version) < floatval(1.9)) { 
		// create documents table
		$table_name = $wpdb->prefix . "pure_profiles_publication_document";  
		$sql = "CREATE TABLE $table_name (
		  id int(9) NOT NULL AUTO_INCREMENT,
		  publicationuuid varchar(40),
		  url VARCHAR(255),
		  retrieved varchar(30),
		  UNIQUE KEY id (id)
			);";
		dbDelta( $sql );	
		
		// update to 1.9
		update_option( "pure_profiles_db_version", '1.9' );
						
	}
}